UPTERM(1)

NAME
upterm-session-current - Display the current terminal session

SYNOPSIS
upterm session current [flags]

DESCRIPTION
Display the current terminal session.

By default, reads the admin socket path from $UPTERM_ADMIN_SOCKET (automatically set when you run 'upterm host').

Sockets are stored in: /run/user/1000/upterm

This follows the XDG Base Directory Specification ($XDG_RUNTIME_DIR/upterm).

OPTIONS
--admin-socket=""
    Admin socket path (required).

-h, --help[=false]
    help for current

--hide-client-ip[=false]
    Hide client IP addresses from output (auto-enabled in CI environments).

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    enable debug level logging (log file: /build/.local/state/upterm/upterm.log).

EXAMPLE
      # Display the active session as defined in $UPTERM_ADMIN_SOCKET:
      upterm session current
      # Display the session with a custom admin socket path:
      upterm session current --admin-socket ADMIN_SOCKET_PATH

SEE ALSO
upterm-session(1)

HISTORY
18-Nov-2025 Auto generated by spf13/cobra